require header ;

print <<ENDOFTEXT;

<div id="content" class="col-lg-12 col-sm-12">
    <!-- content starts -->
    $useropts{'breadcrumbs'}
    
    $alert

    $print_usage
    
    $print_download
    
    $print_delete_uploads_form
    
    $print_buttons
    
    <!-- content ends -->
    </div><!--/#content.col-md-0-->
</div><!--/fluid-row-->

    <hr>

ENDOFTEXT

require footer ;

print <<ENDOFTEXT;

</body>
<style>
.progress { height: 30px; }
.progress .progress-bar {
    font-size: 12px;
    line-height: 30px;
}
</style>

<script>

function zipDelete () 
{
    BootstrapDialog.confirm({
    title: 'Confirm Delete',
    message: 'Are you sure you want to delete <b>' + \$("#selectZip").val() + '</b> uploads?',
    type: BootstrapDialog.TYPE_WARNING,
    callback: function(result) {            
        if (result) {
            \$('#delete-uploads-selection').val(\$("#selectZip").val());
            \$('#delete-uploads-form').submit();
            BootstrapDialog.closeAll() ;   
            }                   
        }        
    });
}

function zipUploads () 
{  
    BootstrapDialog.confirm({
    title: 'Confirm Zip',
    message: 'Are you sure you want to ZIP and send <b>' + \$("#selectZip").val() + '</b>!',
    type: BootstrapDialog.TYPE_WARNING,
    callback: function(result) {            
        if (result) {
			\$('#zip-uploads-selection').val(\$("#selectZip").val());
            \$('#zip-form').submit();
            BootstrapDialog.closeAll() ;   
            }                   
        }        
    });
   
}

$download_zip_after_delete

</script>

<form role="form" id="delete-uploads-form" method="post">
<input type="hidden" name="iaction"    value="deluploads">
<input type="hidden" name="izip" value=""  id="delete-uploads-selection">
</form>

<form role="form" name="zip" id="zip-form"  method="post">
<input type="hidden" name="iaction" value="zip">
<input type="hidden" name="izip" value=""  id="zip-uploads-selection">
</form>

<form role="form" id="open-zip" action="$g_archiveziplink" target="_blank">
<input type="hidden" name="iaction" value="">
</form>

</html>
ENDOFTEXT
#